/// <reference path="../Scripts/typings/moment/moment.d.ts" />
/// <reference path="modulb.ts" />

class ModuleDemo {

 static print(s: string): void {
  $("#C_Ausgabe").append(s);
  $("#C_Ausgabe").append("<br>");
 }

 static main() {
  var date = new Date();
  ModuleDemo.print(date.toLocaleDateString());

  var a1 = moment("8/1/1970").format('MMMM Do YYYY, h:mm:ss a')
  ModuleDemo.print(a1);

  var a2 = moment("8/5/1970").format('MMMM Do YYYY, h:mm:ss a')
  ModuleDemo.print(a2);


  var d = new Date(2014, 12, 24);
  var ausgabe = ("Datum : " + moment(d).format('DD. MMMM YYYY, h:mm:ss a'));

  ModuleDemo.print(ausgabe);

  ModuleDemo.print("Modulnutzung<hr>");


  var ma = new ModulA.KlasseA1();
  ModuleDemo.print("Modul A: " + ma.test());

  var mb = new ModulB.KlasseB1();
  ModuleDemo.print("Modul B: " + mb.test());





 }

}

$().ready(ModuleDemo.main);
